/*
© Lukas Linek
*/
/* 
    Created on : Oct 29, 2024, 11:06:51 AM
    Author     : lukas
*/

/*
© Lukas Linek
*/
/* 
    Created on : Oct 20, 2024, 11:25:10 AM
    Author     : lukas
*/

#content {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    width: min(var(--max-width), 1000px);
    gap: var(--margin);

    .galleryAlbum {
        display: flex;
        flex-direction: column;
        gap: var(--margin);
        align-items: center;
        border-radius: var(--border-radius);
        background-color: var(--second-accent);
        padding: var(--border-radius);

        #albumTitle {
            text-align: center;
        }

        #albumPhotos {
            display: flex;
            flex-wrap: wrap;
            justify-content: center;
            align-content: center;
            gap: var(--margin);

            .galleryPhotoThumb {
                border-radius: var(--border-radius);
                height: 150px;
                width: auto;
                cursor: pointer;
            }

            .galleryPhotoThumb:hover {
                transition: 0.2s;
                filter: brightness(75%) contrast(75%) blur(2px);
                border-radius: calc(var(--border-radius) * 1.5);
            }
        }
    }

    .galleryAlbumGoogle {
        text-align: center;
        border-radius: var(--border-radius);
        width: 450px;
        aspect-ratio: 16/9;
        cursor: pointer;
        background-color: var(--second-accent);
        position: relative;
        overflow: hidden;

        .galleryAlbumGoogleImage {
            width: 100%;
            height: 100%;
            object-fit: cover;
            border-radius: var(--border-radius);
            display: block;
        }

        #albumTitleContainer {
            position: absolute;
            top: 0;
            left: 0;
            display: flex;
            align-items: center;
            width: 100%;
            height: 100%;
            border-radius: var(--border-radius);
            background-color: #ffffffaa;

            #albumTitle {
                padding: var(--margin);
                border-radius: var(--border-radius);
                /*background-color: #ffffff89;*/
                margin: auto;
            }
        }
    }

    .galleryAlbumGoogle:hover {
        transition: 0.2s;
        border-radius: calc(var(--border-radius) * 1.5);

        #albumTitleContainer {
            transition: 0.2s;
            opacity: 0;
        }
    }

    .galleryPhotoHidden {
        display: none;
    }

    .galleryPhotoClicked {
        --transition-time: 1s;
        display: block;
        opacity: 1;
        position: fixed;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        z-index: 1;
        max-width: 85vw;
        max-height: 85vh;
        border-radius: calc(var(--border-radius) * 0.5);
    }
}